Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.rete
Class Compiler

    java.lang.Object
      org.mindswap.pellet.rete.Compiler

    public class Compiler

extends java.lang.Object

Title: Compiler

Description:

Copyright: Copyright (c) 2007

Company: Clark & Parsia, LLC.

Field Summary
`static Constant` | `DIFF_FROM` Predicate used to state two individuals are different from each other.
`static int` | `OBJ` standard object position
`static int` | `PRED` standard predicate position
`static Constant` | `SAME_AS` Predicate used to state two individuals are the same.
`static int` | `SUBJ` standard subject position
`static Constant` | `TYPE` Predicate used to type an individual.

Constructor Summary
`Compiler(ABox abox)`

Method Summary
`Compiler` | `compile(java.util.Collection<Rule> rules)`
`java.util.Set<Fact>` | `compileFacts(ABox abox)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DIFF_FROM

    public static final Constant DIFF_FROM

  Predicate used to state two individuals are different from each other.

### OBJ

    public static final int OBJ

  standard object position

  See Also:
    Constant Field Values

### PRED

    public static final int PRED

  standard predicate position

  See Also:
    Constant Field Values

### SAME_AS

    public static final Constant SAME_AS

  Predicate used to state two individuals are the same.

### SUBJ

    public static final int SUBJ

  standard subject position

  See Also:
    Constant Field Values

### TYPE

    public static final Constant TYPE

  Predicate used to type an individual.

Constructor Detail

### Compiler

    public Compiler(ABox abox)

Method Detail

### compile

    public Compiler compile(java.util.Collection<Rule> rules)

### compileFacts

    public java.util.Set<Fact> compileFacts(ABox abox)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.